<?php

namespace App\Exceptions;

use Exception;
use Throwable;

/**
 * 微信监听地址的异常处理
 * Class WeChatException
 * @package App\Exceptions
 */
class WeChatException extends Exception
{
    //

    public function __construct($message = "", $code = 0, Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);
    }


    public function report(Exception $exception)
    {
        \Log::debug($exception);
    }


    /**
     * 将异常渲染到 HTTP 响应中。
     *
     * @param  \Illuminate\Http\Request
     * @return void
     */
    public function render($request)
    {
        return "Success";
    }
}
